org.eclipse.rdf4j.sail.lucene

## Class LuceneSailSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.LuceneSailSchema

-     public class LuceneSailSchema
      extends Object

  LuceneSailSchema defines predicates that can be used for expressing a Lucene query in a RDF query.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ALL_MATCHES`
    `static IRI` | `ALL_PROPERTIES`
    `static IRI` | `CONTEXT`
    `static IRI` | `DISTANCE`
    `static IRI` | `LUCENE_QUERY`
    `static IRI` | `MATCHES`
    `static String` | `NAMESPACE`
    `static IRI` | `PROPERTY`
    `static IRI` | `QUERY`
    `static IRI` | `SCORE`
    `static IRI` | `SEARCH` "Magic property" (TupleFunction) IRI.
    `static IRI` | `SNIPPET`
    `static IRI` | `WITHIN_DISTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneSailSchema()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### LUCENE_QUERY

          public static final IRI LUCENE_QUERY

    - #### SCORE

          public static final IRI SCORE

    - #### QUERY

          public static final IRI QUERY

    - #### PROPERTY

          public static final IRI PROPERTY

    - #### SNIPPET

          public static final IRI SNIPPET

    - #### MATCHES

          public static final IRI MATCHES

    - #### SEARCH

          public static final IRI SEARCH

      "Magic property" (TupleFunction) IRI.

    - #### ALL_MATCHES

          public static final IRI ALL_MATCHES

    - #### ALL_PROPERTIES

          public static final IRI ALL_PROPERTIES

    - #### WITHIN_DISTANCE

          public static final IRI WITHIN_DISTANCE

    - #### DISTANCE

          public static final IRI DISTANCE

    - #### CONTEXT

          public static final IRI CONTEXT

  - ### Constructor Detail

    - #### LuceneSailSchema

          public LuceneSailSchema()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.